# ApplicationFramework
TKXml
XmlMPrsStd

# XmlMPrsStd_AISPresentationDriver Class Reference

Attribute Driver.
.

`#include <XmlMPrsStd_AISPresentationDriver.hxx>`

Inheritance diagram for XmlMPrsStd_AISPresentationDriver:

[legend]

## Public Member Functions

Standard_EXPORT | XmlMPrsStd_AISPresentationDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Creates a new attribute from TDF. .
Standard_EXPORT Standard_Boolean | Paste (const XmlObjMgt_Persistent &Source, const Handle(TDF_Attribute)&Target, XmlObjMgt_RRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Source, XmlObjMgt_Persistent &Target, XmlObjMgt_SRelocationTable &RelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT XmlMPrsStd_AISPresentationDriver::XmlMPrsStd_AISPresentationDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const XmlMPrsStd_AISPresentationDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from XmlMDF_ADriver.

Standard_EXPORT Handle_TDF_Attribute XmlMPrsStd_AISPresentationDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements XmlMDF_ADriver.

Standard_EXPORT void XmlMPrsStd_AISPresentationDriver::Paste | ( | const Handle(TDF_Attribute)& | Source,
|  | XmlObjMgt_Persistent & | Target,
|  | XmlObjMgt_SRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements XmlMDF_ADriver.

Standard_EXPORT Standard_Boolean XmlMPrsStd_AISPresentationDriver::Paste | ( | const XmlObjMgt_Persistent & | Source,
|  | const Handle(TDF_Attribute)& | Target,
|  | XmlObjMgt_RRelocationTable & | RelocTable
| ) | const`[virtual]`

| Implements XmlMDF_ADriver.

The documentation for this class was generated from the following file:

- XmlMPrsStd_AISPresentationDriver.hxx